# Generated from apache_sling_api_client-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name apache_sling_api_client

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Apache Sling Resource API Ruby Gem
License: Apache-2.0
URL: https://github.com/bstopp/apache-sling-api-client-gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(vcr) >= 3.0
# BuildRequires: rubygem(vcr) < 4
# BuildRequires: rubygem(vcr) >= 3.0.1
# BuildRequires: rubygem(webmock) >= 1.24
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(webmock) >= 1.24.3
# BuildRequires: rubygem(autotest) >= 4.4
# BuildRequires: rubygem(autotest) < 5
# BuildRequires: rubygem(autotest) >= 4.4.6
# BuildRequires: rubygem(autotest-rails-pure) >= 4.1
# BuildRequires: rubygem(autotest-rails-pure) < 5
# BuildRequires: rubygem(autotest-rails-pure) >= 4.1.2
# BuildRequires: rubygem(autotest-growl) >= 0.2
# BuildRequires: rubygem(autotest-growl) < 1
# BuildRequires: rubygem(autotest-growl) >= 0.2.16
# BuildRequires: rubygem(autotest-fsevent) >= 0.2
# BuildRequires: rubygem(autotest-fsevent) < 1
# BuildRequires: rubygem(autotest-fsevent) >= 0.2.11
BuildArch: noarch

%description
API for interacting with a Sling system.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/git_push.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/apache_sling_api_client.gemspec
%doc %{gem_instdir}/docs
%{gem_instdir}/spec
%{gem_instdir}/swagger_client.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.0-1
- Initial package
